SoftwareUpdateConfigurationsOperations Class

SoftwareUpdateConfigurationsOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
SoftwareUpdateConfigurationsOperations

Constructor

SoftwareUpdateConfigurationsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

create

Create a new software update configuration with the name given in the URI.

delete

delete a specific software update configuration.

get_by_name

Get a single software update configuration by name.

list

Get all software update configurations for the account.

create

Create a new software update configuration with the name given in the URI.

create(resource_group_name: str, automation_account_name: str, software_update_configuration_name: str, parameters: _models.SoftwareUpdateConfiguration, client_request_id: Optional[str] = None, **kwargs: Any) -> _models.SoftwareUpdateConfiguration

Parameters

resource_group_name
str
Required

Name of an Azure Resource group.

automation_account_name
str
Required

The name of the automation account.

software_update_configuration_name
str
Required

The name of the software update configuration to be created.

parameters
SoftwareUpdateConfiguration
Required

Request body.

client_request_id
str
default value: None

Identifies this specific client request.

cls
callable

A custom type or function that will be passed the direct response

Returns

SoftwareUpdateConfiguration, or the result of cls(response)

Return type

Exceptions

delete

delete a specific software update configuration.

delete(resource_group_name: str, automation_account_name: str, software_update_configuration_name: str, client_request_id: Optional[str] = None, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

Name of an Azure Resource group.

automation_account_name
str
Required

The name of the automation account.

software_update_configuration_name
str
Required

The name of the software update configuration to be created.

client_request_id
str
default value: None

Identifies this specific client request.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get_by_name

Get a single software update configuration by name.

get_by_name(resource_group_name: str, automation_account_name: str, software_update_configuration_name: str, client_request_id: Optional[str] = None, **kwargs: Any) -> _models.SoftwareUpdateConfiguration

Parameters

resource_group_name
str
Required

Name of an Azure Resource group.

automation_account_name
str
Required

The name of the automation account.

software_update_configuration_name
str
Required

The name of the software update configuration to be created.

client_request_id
str
default value: None

Identifies this specific client request.

cls
callable

A custom type or function that will be passed the direct response

Returns

SoftwareUpdateConfiguration, or the result of cls(response)

Return type

Exceptions

list

Get all software update configurations for the account.

list(resource_group_name: str, automation_account_name: str, client_request_id: Optional[str] = None, filter: Optional[str] = None, **kwargs: Any) -> _models.SoftwareUpdateConfigurationListResult

Parameters

resource_group_name
str
Required

Name of an Azure Resource group.

automation_account_name
str
Required

The name of the automation account.

client_request_id
str
default value: None

Identifies this specific client request.

filter
str
default value: None

The filter to apply on the operation.

cls
callable

A custom type or function that will be passed the direct response

Returns

SoftwareUpdateConfigurationListResult, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.automation.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\automation\\models\\__init__.py'>